[25360] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r24925 - trunk/debathena/scripts/installer

daemon@ATHENA.MIT.EDU (Geoffrey Thomas)
Sun Jan 23 05:45:09 2011

Date: Sun, 23 Jan 2011 05:45:03 -0500
From: Geoffrey Thomas <geofft@MIT.EDU>
Message-Id: <201101231045.p0NAj3I8008705@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: geofft
Date: 2011-01-23 05:45:03 -0500 (Sun, 23 Jan 2011)
New Revision: 24925

Modified:
   trunk/debathena/scripts/installer/install-debathena.sh
Log:
install-debathena.sh: Really don't break Maverick (Trac: #755)

The check needs to happen after we run apt-get update, since the issue
at hand is with a system that all of a sudden tries to process new
updates from Ubuntu.  It also needs to happen before we install
dnsutils, because that's where the first breakage is (see Debian
#610845). So we move it earlier and run apt-get once again before we add
our repo.

However, now that it happens before aptitude is installed, we need to
use apt-get for the check, since that's all we can count on existing.

This updates r24922 "Don't break maverick".



Modified: trunk/debathena/scripts/installer/install-debathena.sh
===================================================================
--- trunk/debathena/scripts/installer/install-debathena.sh	2011-01-22 22:26:35 UTC (rev 24924)
+++ trunk/debathena/scripts/installer/install-debathena.sh	2011-01-23 10:45:03 UTC (rev 24925)
@@ -183,6 +183,18 @@
   read dummy
 fi
 
+apt-get update
+
+output "Verifying machine is up to date..."
+pattern='^0 upgraded, 0 newly installed, 0 to remove'
+if ! apt-get --simulate --assume-yes dist-upgrade | grep -q "$pattern"; then
+     error "Your system is not up to date.  Proceeding with an install at"
+     error "this time could render your system unusable."
+     error "Please run 'aptitude full-upgrade' or use the GUI update manager"
+     error "to ensure your system is up to date before continuing."
+     exit 1
+fi
+
 if ! hash aptitude >/dev/null 2>&1; then
   output "Installing Debathena installer dependency: aptitude"
   apt-get -y install aptitude
@@ -209,17 +221,6 @@
   ;;
 esac
 
-
-output "Verifying machine is up to date..."
-pattern='^0 packages upgraded, 0 newly installed, 0 to remove'
-if ! aptitude --simulate --assume-yes full-upgrade | grep -q "$pattern"; then
-     error "Your system is not up to date.  Proceeding with an install at"
-     error "this time could render your system unusable."
-     error "Please run 'aptitude full-upgrade' or use the GUI update manager"
-     error "to ensure your system is up to date before continuing."
-     exit 1
-fi
-
 output "Adding the Debathena repository to the apt sources"
 output "(This may cause the update manager to claim new upgrades are available."
 output "Ignore them until this script is complete.)"


home help back first fref pref prev next nref lref last post